Subject: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: martin rudalics <[email-masked]>
Date: Thu, 15 Jun 2017 09:59:20 +0200

> Instead of looking around in the source code, I found out how to change
 > the DPI settings.  dconf-editor is apparently the thing to use.
 >
 > The default settings are
 >
 > {'eDP1': 11, 'eDP-1': 12}
 >
 > If I change this to
 >
 > {'eDP1': 11, 'eDP-1': 11}
 >
 > or anything less than 12, then all the Emacs frame sizes are correct:
 > Maximization doesn't happen, and --geometry works as expected.

Can you change those settings on a per application basis?

 > But if I
 > change that to
 >
 > {'eDP1': 11, 'eDP-1': 12}
 >
 > then all my Emacs frames gets maximized.

Does the window manager constrain the frame size to the screen?  WOW, if
you specifiy an initial frame larger than your screen, do you get it
that way?

 > Could there be a math error somewhere?  And if so, where?

IIRC GTK Emacs supports scaling only partially.  Could you try with
another toolkit?  Also, ISTR that people complained about mispositioned
scroll bars, menus and tooltips, sometimes alos about misplaced
underlinings and the like.  Do you see any of those effects too?

martin